This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 843669 - (CVE-2012-3431) CVE-2012-3431 Teiid: JDBC socket does not encrypt client login messages by default
CVE-2012-3431 Teiid: JDBC socket does not encrypt client login messages by de...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120719,repor...
: Security
Depends On:
Blocks: 843670
  Show dependency treegraph
 
Reported: 2012-07-26 21:54 EDT by David Jorm
Modified: 2014-10-20 20:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 13:36:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2012-07-26 21:54:37 EDT
The Teiid JDBC socket does not encrypt client login messages by default. The documentation and specification states that the socket will be encrypted by default.
Comment 1 Murray McAllister 2012-09-19 21:49:51 EDT
Acknowledgements:

This issue was discovered by Steven Hawkins of Red Hat.
Comment 2 errata-xmlrpc 2012-09-20 13:27:54 EDT
This issue has been addressed in following products:

  JBoss Enterprise Data Services Platform 5.3.0

Via RHSA-2012:1301 https://rhn.redhat.com/errata/RHSA-2012-1301.html

Note You need to log in before you can comment on or make changes to this bug.